function S = MatrixMinusVector (A,v)

if nargin<1
    m = 10000; n = 1000; A = ones(m, n); v = 2 * rand(1, n);
end

m = size(A,1);
S = zeros(size(A));

%Implementation using loops:
tStart = tic;
for i=1:m
  S(i,:) = A(i,:) - v;
end
tElapsed = toc(tStart);
disp(tElapsed);

% We can compute the same thing using only matrix operations
tStart = tic;
S = A - repmat(v, m, 1);   % This version of the code runs 
                           % much faster!!!
tElapsed = toc(tStart);
disp(tElapsed);
