function E = iseven(A)
%ISEVEN Determines which elements of an array are even numbers.
%   E = ISEVEN(A) returns a logical array, E, of the same size as A,
%   with 1s (TRUE) in the locations corresponding to even numbers
%   (i.e., . . . -4, -2, 0, 2, 4, . . . )in A, and 0s (FALSE) elsewhere. 
%   A must be a numeric array.

%   Copyright 2009 R. C. Gonzalez, R. E. Woods, & S. L. Eddins
%   For use with Digital Image Processing Using MATLAB, 2nd ed.
%   Gatesmark Publishing, 2009.
%   $Revision: 1.4 $  $Date: 2009/03/15 00:28:22 $

% Check the validity of A.
if ~isnumeric(A)
    error('A must be a numeric array.');
end

% A = double(A);
E = floor(A/2) == (A/2);



















