%  given an mxn matrix A, create a matrix B of the same size
%  containing all zeros, and then copy into B the elements of A that
%  are greater than zero.
function B = selPos(A)

if nargin<1
    m = 1000;
    n = 500;
    A = rand(m,n) -0.5;
end 

B = zeros(size(A));

% Implementation using loops:
tStart = tic;
[m n] = size(A);
for i=1:m
  for j=1:n
    if A(i,j)>0
      B(i,j) = A(i,j);
    end

  end
end
tElapsed = toc(tStart);
disp(tElapsed);

% All this can be computed w/o any loop!
tStart = tic;
ind = find(A > 0);           % Find indices of positive elements of A 
                             %   (see "help find" for more info)

B(ind) = A(ind);             % Copies into B only the elements of A
                             %   that are > 0
tElapsed = toc(tStart);
disp(tElapsed);